// pages/salesOrderMan/orderloadAdd.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    orderId:'',
    goodsConfId:'',
    orderNumber:'',
    confStartTime:'',
    confEndTime:'',

    defaultText: '请选择',
    isSubmitting: false,

    loadPointArray:[],//装卸点位
    loadPointIndex:null,

    loadTimeArray:[], //装卸时间
    loadTimeIndex:null,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      id            : options.id,
      orderId       : options.orderId,
      goodsConfId   : options.deliveryTimeId,
      orderNumber   : options.orderNumber,
      confStartTime : options.confStartTime,
      confEndTime   : options.confEndTime,
    })
    //装卸点位
    this.loadPointData()
  },

  //装卸点位
  loadPointData:function(){
    app.request.GET({
      url: app.API.loadPoint,
      params: {},
      page: this,
      successFun: true
    }).then(res => {
      this.setData({
        loadPointArray:res.data.data
      })
    })
  },

  //装卸时间
  loadTimeData:function(){
    app.request.GET({
      url: app.API.loadTime,
      params: {
        pointId     : this.data.loadPointArray[this.data.loadPointIndex].id,
        goodsConfId : this.data.goodsConfId,
        orderId     : this.data.orderId,
        orderFlag   : "2" // 新增1   更换2
      },
      page: this,
      successFun: true
    }).then(res => {
      let orderList = res.data.data
      orderList.forEach((element,index) => {
        orderList[index].time = element.beginTime + '~' + element.endTime
      });
      this.setData({
        loadTimeArray:orderList
      })
    })
  },

  //下拉选择
  bindPickerChange: function (e) { //下拉菜单
    let { pickername } = e.target.dataset
    let getIndex = pickername + 'Index'
    app.util.getPickerIndex(this, getIndex, e);

    switch (pickername) {
      case 'loadPoint': //客户
        this.loadTimeData() //获取销售订单
        break;
    }
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  bindscrolltolowerFun() {
    
  },

  //表单提交 carTaskAdd
  formSubmit: function ({detail:{value}}) {
    var warn = ""; //弹框时提示的内容
    if (value.loadPointId == '') {
      warn = "请选择装卸点位！";
    } else if(value.loadTimeId == ''){
      warn = "请选择装卸时间！";
    }
    if (warn != '') {
      app.util.checkForm(warn);
    } else {
      app.request.POST({
        url: app.API.orderloadReplace,
        params: value,
        page: this,
        isLoadingTxt: '提交中...',
        isSubmitting: true,
        successFun: true
      }).then(res => {
        wx.showToast({
          title: '更换成功',
          icon: 'success',
          duration: 2000,
          mask:true,
          complete: function () {
            setTimeout(() => {
              wx.navigateBack()
            }, 1500) //延迟时间  
          }
        })
      })

    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})